package com.bb.service;

import java.util.HashMap;
import java.util.List;

import com.bb.model.BlockGameVO;
import com.bb.model.CmnSearch;
import com.bb.model.SiteVendorSkinVO;

public interface SettingService {

	List<HashMap<String, Object>> getSettingVendorList(CmnSearch search);

	List<HashMap<String, Object>> getSettingSkinList(CmnSearch search);

	int settingVendorSkinSave(SiteVendorSkinVO item);

	List<String> getWhiteIpList(CmnSearch search);

	List<HashMap<String, Object>> getBlockVendorSelectBoxList(String category);

	List<HashMap<String, Object>> getBlockVendorSelectBoxList2(CmnSearch search);

	List<HashMap<String, Object>> getBlockTableSelectBoxList(CmnSearch search);

	String getBlockTableIds(CmnSearch search);

	int blockTableIdSave(BlockGameVO blockGameVO);

	String getVendorTitle(CmnSearch search);

	HashMap<String, String> getBetRadarApiInfo(String siteId);

}
